Skip to main content
PATCH
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
curl --request PATCH \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "caseName": "Smith v. Jones Insurance Co. (Amended)",
  "settlementDemand": "500000"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "companyId": "660e8400-e29b-41d4-a716-446655440000",
  "eventId": "770e8400-e29b-41d4-a716-446655440000",
  "caseNumber": "CASE-2026-001",
  "caseName": "Smith v. Jones Insurance Co. (Amended)",
  "lawsuitFiledDate": "2026-01-10T00:00:00.000Z",
  "suitServedDate": null,
  "trialDate": null,
  "venueName": "District Court of Springfield",
  "venueAddress": null,
  "judgeName": null,
  "plaintiffs": null,
  "plaintiffAttorneyId": null,
  "plaintiffLawFirmId": null,
  "plaintiffAddress": null,
  "settlementDemand": "500000",
  "settlementType": null,
  "arbitrationInvolved": null,
  "dateDefenseCounselAdded": null,
  "expertDefense": null,
  "expertPlaintiff": null,
  "declaratoryJudgementFiledDate": null,
  "createdAt": "2026-01-10T10:30:00.000Z",
  "updatedAt": "2026-02-17T14:20:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

Body

application/json
caseNumber
string | null

Court case number (send null to clear)

caseName
string | null

Name of the case (send null to clear)

lawsuitFiledDate
string<date-time> | null

Date lawsuit was filed (ISO 8601, send null to clear)

suitServedDate
string<date-time> | null

Date suit was served (ISO 8601, send null to clear)

trialDate
string<date-time> | null

Scheduled trial date (ISO 8601, send null to clear)

venueName
string | null

Name of the court venue (send null to clear)

venueAddress
object

Address of the court venue (send null to clear)

judgeName
string | null

Name of the presiding judge (send null to clear)

plaintiffs
string[] | null

List of plaintiff names (send null to clear)

plaintiffAttorneyId
string<uuid> | null

Attorney representing the plaintiff (send null to clear)

plaintiffLawFirmId
string<uuid> | null

Law firm representing the plaintiff (send null to clear)

plaintiffAddress
object

Address of the plaintiff (send null to clear)

settlementDemand
string | null

Settlement demand amount (send null to clear)

settlementType
string | null

Settlement type code (S=Settlement, N=No Settlement, L=Litigated, C=Closed, send null to clear)

arbitrationInvolved
string | null

Whether arbitration is involved (Yes/No, send null to clear)

dateDefenseCounselAdded
string<date-time> | null

Date defense counsel was added (ISO 8601, send null to clear)

expertDefense
string | null

Defense expert information (send null to clear)

expertPlaintiff
string | null

Plaintiff expert information (send null to clear)

declaratoryJudgementFiledDate
string<date-time> | null

Date declaratory judgement was filed (ISO 8601, send null to clear)

Response

Updated lawsuit details

A lawsuit associated with an event

id
string<uuid>

Lawsuit identifier

companyId
string<uuid>

Company identifier

eventId
string<uuid>

Associated event identifier

caseNumber
string | null

Court case number

caseName
string | null

Name of the case

lawsuitFiledDate
string<date-time> | null

Date lawsuit was filed (ISO 8601)

suitServedDate
string<date-time> | null

Date suit was served (ISO 8601)

trialDate
string<date-time> | null

Scheduled trial date (ISO 8601)

venueName
string | null

Name of the court venue

venueAddress
object

Address of the court venue

judgeName
string | null

Name of the presiding judge

plaintiffs
string[] | null

List of plaintiff names

plaintiffAttorneyId
string<uuid> | null

Attorney representing the plaintiff

plaintiffLawFirmId
string<uuid> | null

Law firm representing the plaintiff

plaintiffAddress
object

Address of the plaintiff

settlementDemand
string | null

Settlement demand amount

settlementType
string | null

Settlement type code (S=Settlement, N=No Settlement, L=Litigated, C=Closed)

arbitrationInvolved
string | null

Whether arbitration is involved (Yes/No)

dateDefenseCounselAdded
string<date-time> | null

Date defense counsel was added (ISO 8601)

expertDefense
string | null

Defense expert information

expertPlaintiff
string | null

Plaintiff expert information

declaratoryJudgementFiledDate
string<date-time> | null

Date declaratory judgement was filed (ISO 8601)

createdAt
string<date-time> | null

When the lawsuit was created (ISO 8601)

updatedAt
string<date-time> | null

When the lawsuit was last updated (ISO 8601)